package com.lantone.qc.kernel.catalogue.firstpagerecord;

import com.lantone.qc.kernel.catalogue.QCCatalogue;
import com.lantone.qc.kernel.util.CatalogueUtil;
import com.lantone.qc.pub.Content;
import com.lantone.qc.pub.model.InputInfo;
import com.lantone.qc.pub.model.OutputInfo;
import com.lantone.qc.pub.model.entity.BeHospitalizedWay;
import com.lantone.qc.pub.util.StringUtil;
import org.springframework.stereotype.Component;

import java.util.Map;

/**
 * @ClassName : FIRP0168
 * @Description :入院途径填写错误
 * @Author : 胡敬
 * @Date: 2020-03-26 11:31
 */
@Component
public class FIRP0169 extends QCCatalogue {
    public void start(InputInfo inputInfo, OutputInfo outputInfo) {
        status.set("0");
        if (inputInfo.getFirstPageRecordDoc() != null && inputInfo.getFirstPageRecordDoc().getStructureMap() != null
                && inputInfo.getBeHospitalizedDoc() != null && inputInfo.getBeHospitalizedDoc().getPresentLabel() != null) {
            Map<String, String> firstpageStructureMap = inputInfo.getFirstPageRecordDoc().getStructureMap();
            String admitPath = firstpageStructureMap.get(Content.admitPath);
            BeHospitalizedWay beHospitalizedWay = inputInfo.getBeHospitalizedDoc().getPresentLabel().getBeHospitalizedWay();
            if (CatalogueUtil.isEmpty(admitPath) || beHospitalizedWay == null) {
                return;
            }
            String beHospitalizedWayStr = beHospitalizedWay.getName();
            if (StringUtil.isBlank(beHospitalizedWayStr)){
                return;
            }
            if (!CatalogueUtil.compareToken(admitPath, beHospitalizedWayStr)) {
                status.set("-1");
            }
        }
    }
}